﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Documents;

namespace BookRichTextBoxIntegration
{
	public class MyTemplateSelector : DataTemplateSelector
	{
		public DataTemplate FirstPageTemplate { get; set; }
		public DataTemplate DefaultPageTemplate { get; set; }

		public override DataTemplate SelectTemplate(object item, DependencyObject container)
		{
			DocumentPageItem page = (item as DocumentPageItem);
			if (page.PageIndex == 0)
				return FirstPageTemplate;
			else
				return DefaultPageTemplate;
		}
	}
}
